/*
 * This script simply lists all currently active (non-frozen) layers.
 *
 * Copyright smf, some ideas taken from the QCad example scripts
 * last change: 2012-03-25
 */

//http://www.ribbonsoft.com/doc/qcad/3.0/developer/class_r_entity.html

include("../MyTools.js");
include("../PredefTools.js");

function ListActiveLayers(guiAction) {
    MyTools.call(this, guiAction);
}

ListActiveLayers.prototype = new EAction();
ListActiveLayers.includeBasePath = includeBasePath;

ListActiveLayers.prototype.beginEvent = function() {
    EAction.prototype.beginEvent.call(this);
    var document = EAction.getDocument();
    var layers = getActiveLayers(document);
    EAction.handleUserMessage("--- currently active layers:");
    for (var lc = 0; lc < layers.length; lc++) {
        EAction.handleUserMessage(layers[lc]);
    }
    this.terminate();
};

ListActiveLayers.init = function(basePath) {
    var action = new RGuiAction("&ListActiveLayers", RMainWindowQt.getMainWindow());
    action.setRequiresDocument(true);
    action.setScriptFile(basePath + "/ListActiveLayers.js");
    action.setSortOrder(400);
    EAction.addGuiActionTo(action, MyTools, true, false, false);
};
